JAMA

# Class: PHPExcel_Shared_JAMA_QRDecomposition

Source Location: /PHPExcel/Shared/JAMA/QRDecomposition.php

### Class Overview

#### Author(s):

- Paul Meagher

#### Version:

- 1.1

### Constants

- MatrixRankException

### Methods

- __construct
- getH
- getQ
- getR
- isFullRank
- solve

### Class Details

[line 19]

#### Tags:

author: | Paul Meagher
version: | 1.1
license: | PHP

[ Top ]

### Class Methods

### constructor __construct [line 54]

`Structure __construct( matrix $A)`

QR Decomposition computed by Householder reflections.

#### Tags:

return: | to access R and the Householder vectors and compute Q.
access: | public

#### Parameters:

matrix | $A | Rectangular matrix

[ Top ]

### method getH [line 116]

`Matrix getH( )`

Return the Householder vectors

#### Tags:

return: | Lower trapezoidal matrix whose columns define the reflections
access: | public

[ Top ]

### method getQ [line 156]

`Matrix getQ( )`

Generate and return the (economy-sized) orthogonal factor

#### Tags:

return: | orthogonal factor
access: | public

[ Top ]

### method getR [line 135]

`Matrix getR( )`

Return the upper triangular factor

#### Tags:

return: | upper triangular factor
access: | public

[ Top ]

### method isFullRank [line 101]

`boolean isFullRank( )`

Is the matrix full rank?

#### Tags:

return: | true if R, and hence A, has full rank, else false.
access: | public

[ Top ]

### method solve [line 194]

`Matrix solve( Matrix $B)`

Least squares solution of A*X = B

#### Tags:

return: | Matrix that minimizes the two norm of Q*R*X-B.
access: | public

#### Parameters:

Matrix | $B | A Matrix with as many rows as A and any number of columns.

[ Top ]

### Class Constants

#### MatrixRankException = "Can only perform operation on full-rank matrix."

[line 21]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:33 +0200 by phpDocumentor 1.4.4